SECTION = "kernel"
DESCRIPTION = "Mainline Linux kernel"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=bbea815ee2795b2f4230826c0c6b8814"
COMPATIBLE_MACHINE = "sun8i"

inherit kernel

# Since we're not using git, this doesn't make a difference, but we need to fill
# in something or kernel-yocto.bbclass will fail.
KBRANCH ?= "master"

# Pull in the devicetree files into the rootfs
RDEPENDS_${KERNEL_PACKAGE_NAME}-base += "kernel-devicetree"

KERNEL_EXTRA_ARGS += "LOADADDR=${UBOOT_ENTRYPOINT}"

S = "${WORKDIR}/linux-${PV}"

SRC_URI[md5sum] = "8e2e10238ce5698904e9ea1e851f4ddd"
SRC_URI[sha256sum] = "d93b1b216e909e4ea8441a41a070f839f55ac9cf5f7effb16e1b04e7f5688407"

SRC_URI = " \
	https://www.kernel.org/pub/linux/kernel/v4.x/linux-${PV}.tar.xz \
	file://defconfig \
"

